BizKitHub
DocsAPI ReferenceDrive/bff/drive/move
postDriveAdmin BFF

/bff/drive/move

Re-parents items. Storage keys and module links are unchanged. Rejects cycles and folder name conflicts.

DrivepostBffDriveMove

Parameters

JSON body

Request body

application/json
filesstring[]Optional

Blob tokens.

foldersstring[]Optional

Folder external ids.

targetFolderIdstring | nullRequired

Target folder external id; null = root.

One of 2:
Variant 1
string
Variant 2
null

Response schema

1 status code documented

200Success
movednumberRequired
previousobject[]Required

Undo data: where the items were (move them back per entry).

Each array item:
folderIdstring | nullRequired
One of 2:
Variant 1
string
Variant 2
null
filesstring[]Required
foldersstring[]Required

Response example

application/json
{
  "moved": 0,
  "previous": [
    {
      "files": [
        "string"
      ],
      "folders": [
        "string"
      ]
    }
  ]
}

Request example

POST /bff/drive/move

post
curl -X POST "https://api.bizkithub.com/bff/drive/move" \
  -H "Content-Type: application/json" \
  -H "Authorization: Bearer YOUR_API_KEY" \
  -d '{
  "files": [
    "string"
  ],
  "folders": [
    "string"
  ]
}'

Need an API key?

All BizKitHub public API endpoints require authentication via API key.

Get API Key